package com.example.paybyworkout.UI.fragments;



import com.example.paybyworkout.R;
import com.example.paybyworkout.classes.UserProfile;

import android.app.Fragment;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.EditText;
import android.widget.TextView;


/**
 * Responsible for the settings view. Updates UI with user profile values.
 * @author Jan
 */
public class SettingsFragment extends Fragment {
	
	private UserProfile user;
	
	public SettingsFragment(UserProfile user) {
		this.user = user;
	}

	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {		
		View rootView = inflater.inflate(R.layout.settings_fragment, container, false);

		((TextView)rootView.findViewById(R.id.totalCreditsValue)).setText(user.getTotalCredits() + "");
		((TextView)rootView.findViewById(R.id.tableUsernameValue)).setText(user.getUsername());
		((EditText)rootView.findViewById(R.id.tableBodyWeightValue)).setText(user.getBodyWeight() + "");
		return rootView;
	}
}