package com.example.paybyworkout.classes;

/**
 * Instances contain all features used for classification.
 * @author Jan
 */
public class ClassificationFeatures {
	
	//Features for classifier
	private WorkoutMode classification = WorkoutMode.OTHER;
	private double accelerationAverageX = 0;
	private double accelerationAverageY = 0;
	private double accelerationAverageZ = 0;
	private double accelerationXYcorrelation = 0;
	private double accelerationXZcorrelation = 0;
	private double accelerationYZcorrelation = 0;
	private double xVariance = 0;
	private double yVariance = 0;
	private double zVariance = 0;
	private double xMin = 0;
	private double xMax = 0;
	private double yMin = 0;
	private double yMax = 0;
	private double zMin = 0;
	private double zMax = 0;	
	private double accelerationAverageXFFT = 0;
	private double accelerationAverageYFFT = 0;
	private double accelerationAverageZFFT = 0;
	private double accelerationXYcorrelationFFT = 0;
	private double accelerationXZcorrelationFFT = 0;
	private double accelerationYZcorrelationFFT = 0;
	private double xVarianceFFT = 0;
	private double yVarianceFFT = 0;
	private double zVarianceFFT = 0;
	private double xMinFFT = 0;
	private double xMaxFFT = 0;
	private double yMinFFT = 0;
	private double yMaxFFT = 0;
	private double zMinFFT = 0;
	private double zMaxFFT = 0;	
	private double averageSpeed = 0;
	
	public WorkoutMode getClassification() {
		return classification;
	}
	public void setClassification(WorkoutMode classification) {
		this.classification = classification;
	}
	public double getAccelerationXYcorrelation() {
		return accelerationXYcorrelation;
	}
	public void setAccelerationXYcorrelation(double accelerationXYcorrelation) {
		this.accelerationXYcorrelation = accelerationXYcorrelation;
	}
	public double getAccelerationXZcorrelation() {
		return accelerationXZcorrelation;
	}
	public void setAccelerationXZcorrelation(double accelerationXZcorrelation) {
		this.accelerationXZcorrelation = accelerationXZcorrelation;
	}
	public double getAccelerationYZcorrelation() {
		return accelerationYZcorrelation;
	}
	public void setAccelerationYZcorrelation(double accelerationYZcorrelation) {
		this.accelerationYZcorrelation = accelerationYZcorrelation;
	}
	public double getAverageSpeed() {
		return averageSpeed;
	}
	public void setAverageSpeed(float averageSpeed) {
		this.averageSpeed = averageSpeed;
	}	
	public double getxVariance() {
		return xVariance;
	}
	public void setxVariance(double xVariance) {
		this.xVariance = xVariance;
	}
	public double getyVariance() {
		return yVariance;
	}
	public void setyVariance(double yVariance) {
		this.yVariance = yVariance;
	}
	public double getzVariance() {
		return zVariance;
	}
	public void setzVariance(double zVariance) {
		this.zVariance = zVariance;
	}
	public double getxMin() {
		return xMin;
	}
	public void setxMin(double xMin) {
		this.xMin = xMin;
	}
	public double getxMax() {
		return xMax;
	}
	public void setxMax(double xMax) {
		this.xMax = xMax;
	}
	public double getyMin() {
		return yMin;
	}
	public void setyMin(double yMin) {
		this.yMin = yMin;
	}
	public double getyMax() {
		return yMax;
	}
	public void setyMax(double yMax) {
		this.yMax = yMax;
	}
	public double getzMin() {
		return zMin;
	}
	public void setzMin(double zMin) {
		this.zMin = zMin;
	}
	public double getzMax() {
		return zMax;
	}
	public void setzMax(double zMax) {
		this.zMax = zMax;
	}
	public double getAccelerationXYcorrelationFFT() {
		return accelerationXYcorrelationFFT;
	}
	public void setAccelerationXYcorrelationFFT(double accelerationXYcorrelationFFT) {
		this.accelerationXYcorrelationFFT = accelerationXYcorrelationFFT;
	}
	public double getAccelerationXZcorrelationFFT() {
		return accelerationXZcorrelationFFT;
	}
	public void setAccelerationXZcorrelationFFT(double accelerationXZcorrelationFFT) {
		this.accelerationXZcorrelationFFT = accelerationXZcorrelationFFT;
	}
	public double getAccelerationYZcorrelationFFT() {
		return accelerationYZcorrelationFFT;
	}
	public void setAccelerationYZcorrelationFFT(double accelerationYZcorrelationFFT) {
		this.accelerationYZcorrelationFFT = accelerationYZcorrelationFFT;
	}
	public double getxVarianceFFT() {
		return xVarianceFFT;
	}
	public void setxVarianceFFT(double xVarianceFFT) {
		this.xVarianceFFT = xVarianceFFT;
	}
	public double getyVarianceFFT() {
		return yVarianceFFT;
	}
	public void setyVarianceFFT(double yVarianceFFT) {
		this.yVarianceFFT = yVarianceFFT;
	}
	public double getzVarianceFFT() {
		return zVarianceFFT;
	}
	public void setzVarianceFFT(double zVarianceFFT) {
		this.zVarianceFFT = zVarianceFFT;
	}
	public double getxMinFFT() {
		return xMinFFT;
	}
	public void setxMinFFT(double xMinFFT) {
		this.xMinFFT = xMinFFT;
	}
	public double getxMaxFFT() {
		return xMaxFFT;
	}
	public void setxMaxFFT(double xMaxFFT) {
		this.xMaxFFT = xMaxFFT;
	}
	public double getyMinFFT() {
		return yMinFFT;
	}
	public void setyMinFFT(double yMinFFT) {
		this.yMinFFT = yMinFFT;
	}
	public double getyMaxFFT() {
		return yMaxFFT;
	}
	public void setyMaxFFT(double yMaxFFT) {
		this.yMaxFFT = yMaxFFT;
	}
	public double getzMinFFT() {
		return zMinFFT;
	}
	public void setzMinFFT(double zMinFFT) {
		this.zMinFFT = zMinFFT;
	}
	public double getzMaxFFT() {
		return zMaxFFT;
	}
	public void setzMaxFFT(double zMaxFFT) {
		this.zMaxFFT = zMaxFFT;
	}
	public void setAverageSpeed(double averageSpeed) {
		this.averageSpeed = averageSpeed;
	}	
	
	public String toString() {
		double isClassified;
		if(!classification.equals(WorkoutMode.OTHER)) {
			isClassified = 1;
		}else{
			isClassified = 0;			
		}
		return isClassified
				+ " 1:" + accelerationAverageX
				+ " 2:" + accelerationAverageY
				+ " 3:" + accelerationAverageZ				
				+ " 4:" + accelerationXYcorrelation
				+ " 5:" + accelerationXZcorrelation
				+ " 6:" + accelerationYZcorrelation
				+ " 7:" + xVariance
				+ " 8:" + yVariance
				+ " 9:" + zVariance
				+ " 10:" + xMin
				+ " 11:" + xMax
				+ " 12:" + yMin
				+ " 13:" + yMax
				+ " 14:" + zMin
				+ " 15:" + zMax
				+ " 16:" + accelerationAverageXFFT
				+ " 17:" + accelerationAverageYFFT
				+ " 18:" + accelerationAverageZFFT
				+ " 19:" + accelerationXYcorrelationFFT
				+ " 20:" + accelerationXZcorrelationFFT
				+ " 21:" + accelerationYZcorrelationFFT
				+ " 22:" + xVarianceFFT
				+ " 23:" + yVarianceFFT
				+ " 24:" + zVarianceFFT
				+ " 25:" + xMinFFT
				+ " 26:" + xMaxFFT
				+ " 27:" + yMinFFT
				+ " 28:" + yMaxFFT
				+ " 29:" + zMinFFT
				+ " 30:" + zMaxFFT
				+ " 31:" + averageSpeed
				+ "\n";
	}
	
	public String toLibSVMString() {
		double isClassified;
		if(!classification.equals(WorkoutMode.OTHER)) {
			isClassified = 1;
		}else{
			isClassified = 0;			
		}
		return isClassified
				+ " 1:" + accelerationAverageX
				+ " 2:" + accelerationAverageY
				+ " 3:" + accelerationAverageZ				
				+ " 4:" + accelerationXYcorrelation
				+ " 5:" + accelerationXZcorrelation
				+ " 6:" + accelerationYZcorrelation
				+ " 7:" + xVariance
				+ " 8:" + yVariance
				+ " 9:" + zVariance
				+ " 10:" + xMin
				+ " 11:" + xMax
				+ " 12:" + yMin
				+ " 13:" + yMax
				+ " 14:" + zMin
				+ " 15:" + zMax
				+ " 16:" + accelerationAverageXFFT
				+ " 17:" + accelerationAverageYFFT
				+ " 18:" + accelerationAverageZFFT
				+ " 19:" + accelerationXYcorrelationFFT
				+ " 20:" + accelerationXZcorrelationFFT
				+ " 21:" + accelerationYZcorrelationFFT
				+ " 22:" + xVarianceFFT
				+ " 23:" + yVarianceFFT
				+ " 24:" + zVarianceFFT
				+ " 25:" + xMinFFT
				+ " 26:" + xMaxFFT
				+ " 27:" + yMinFFT
				+ " 28:" + yMaxFFT
				+ " 29:" + zMinFFT
				+ " 30:" + zMaxFFT
				+ " 31:" + averageSpeed
				+ "\n";
	}
	public String toNBString() {
		double isClassified;
		if(!classification.equals(WorkoutMode.OTHER)) {
			isClassified = 1;
		}else{
			isClassified = 0;			
		}
		return isClassified
				+ "," + accelerationAverageX
				+ "," + accelerationAverageY
				+ "," + accelerationAverageZ				
				+ "," + accelerationXYcorrelation
				+ "," + accelerationXZcorrelation
				+ "," + accelerationYZcorrelation
				+ "," + xVariance
				+ "," + yVariance
				+ "," + zVariance
				+ "," + xMin
				+ "," + xMax
				+ "," + yMin
				+ "," + yMax
				+ "," + zMin
				+ "," + zMax
				+ "," + accelerationAverageXFFT
				+ "," + accelerationAverageYFFT
				+ "," + accelerationAverageZFFT
				+ "," + accelerationXYcorrelationFFT
				+ "," + accelerationXZcorrelationFFT
				+ "," + accelerationYZcorrelationFFT
				+ "," + xVarianceFFT
				+ "," + yVarianceFFT
				+ "," + zVarianceFFT
				+ "," + xMinFFT
				+ "," + xMaxFFT
				+ "," + yMinFFT
				+ "," + yMaxFFT
				+ "," + zMinFFT
				+ "," + zMaxFFT
				+ "," + averageSpeed
				+ "\n";
	}	
	
	public double getAccelerationAverageX() {
		return accelerationAverageX;
	}
	public void setAccelerationAverageX(double accelerationAverageX) {
		this.accelerationAverageX = accelerationAverageX;
	}
	public double getAccelerationAverageY() {
		return accelerationAverageY;
	}
	public void setAccelerationAverageY(double accelerationAverageY) {
		this.accelerationAverageY = accelerationAverageY;
	}
	public double getAccelerationAverageZ() {
		return accelerationAverageZ;
	}
	public void setAccelerationAverageZ(double accelerationAverageZ) {
		this.accelerationAverageZ = accelerationAverageZ;
	}
	public double getAccelerationAverageXFFT() {
		return accelerationAverageXFFT;
	}
	public void setAccelerationAverageXFFT(double accelerationAverageXFFT) {
		this.accelerationAverageXFFT = accelerationAverageXFFT;
	}
	public double getAccelerationAverageYFFT() {
		return accelerationAverageYFFT;
	}
	public void setAccelerationAverageYFFT(double accelerationAverageYFFT) {
		this.accelerationAverageYFFT = accelerationAverageYFFT;
	}
	public double getAccelerationAverageZFFT() {
		return accelerationAverageZFFT;
	}
	public void setAccelerationAverageZFFT(double accelerationAverageZFFT) {
		this.accelerationAverageZFFT = accelerationAverageZFFT;
	}
}
